Bug 1206059 - support testinfo.desc Environment in restraint
Summary: support testinfo.desc Environment in restraint
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Restraint
Classification: Community
Component: general
Version: 0.1.18
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: 0.1.35
Assignee: Matt Tyson 🤬
QA Contact: Roman Joost
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-26 08:59 UTC by Dan Callaghan
Modified: 2018-06-24 23:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-24 23:49:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Beaker Project Gerrit 6059 None None None 2018-04-09 05:35:36 UTC

Description Dan Callaghan 2015-03-26 08:59:41 UTC
Steps to Reproduce:
1. Run a task that relies on env vars defined with Environment: in testinfo.desc (for example /distribution/beaker/dogfood)

Expected results:
Restraint should set the environment variables in the task's execution environment.

Comment 1 Miloš Prchlík 2017-07-04 07:17:59 UTC
What are the chances of getting this feature implemented? In BaseOS CI, it was recently pointed out that its jobs - which use restraint to run the tests - ignored "AVC_ERROR=+no_avc_check" passed in rpm's testinfo.desc, and we found out it is indeed imperfection of restraint. As it's quite a common way of disabling AVC denials checks during runtime of the test, we'd appreciate the implementation of this feature.

Comment 2 Matt Tyson 🤬 2018-04-09 01:00:07 UTC
If the same environment variable is defined in both the job XML and testinfo.desc, which has the higher priority?

Comment 3 Dan Callaghan 2018-04-09 01:19:12 UTC
It should be: a task parameter in the job XML overrides a testinfo.desc Environment setting.

You could dig through beah's implementation to verify that this is true for beah (we would want restraint to follow beah's behaviour in this regard).


Note You need to log in before you can comment on or make changes to this bug.